<?php

namespace Bydedi\Shipping;

/**
 * Class Relay
 * @package Bydedi\Shipping
 */
class Relay
{
    protected $id;
    protected $name;
    protected $addr1;
    protected $addr2;
    protected $zipcode;
    protected $city;
    protected $country;
    protected $latitude;
    protected $longitude;
    protected $horaires;
    protected $distance;

    /**
     * Relay constructor.
     * @param string $id
     * @param string $name
     * @param string $addr1
     * @param string $addr2
     * @param string $zipcode
     * @param string $city
     * @param string $country
     * @param string $latitude
     * @param string $longitude
     * @param array $horaires
     * @param int $distance
     */
    public function __construct($id, $name, $addr1, $addr2, $zipcode, $city, $country, $latitude, $longitude, array $horaires, $distance)
    {
        $this->id = $id;
        $this->name = $name;
        $this->addr1 = $addr1;
        $this->addr2 = $addr2;
        $this->zipcode = $zipcode;
        $this->city = $city;
        $this->country = $country;
        $this->latitude = $latitude;
        $this->longitude = $longitude;
        $this->horaires = $horaires;
        $this->distance = $distance;
    }

    /**
     * @return string
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param string $id
     * @return Relay
     */
    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param string $name
     * @return Relay
     */
    public function setName($name)
    {
        $this->name = $name;
        return $this;
    }

    /**
     * @return string
     */
    public function getAddr1()
    {
        return $this->addr1;
    }

    /**
     * @param string $addr1
     * @return Relay
     */
    public function setAddr1($addr1)
    {
        $this->addr1 = $addr1;
        return $this;
    }

    /**
     * @return string
     */
    public function getAddr2()
    {
        return $this->addr2;
    }

    /**
     * @param string $addr2
     * @return Relay
     */
    public function setAddr2($addr2)
    {
        $this->addr2 = $addr2;
        return $this;
    }

    /**
     * @return string
     */
    public function getZipcode()
    {
        return $this->zipcode;
    }

    /**
     * @param string $zipcode
     * @return Relay
     */
    public function setZipcode($zipcode)
    {
        $this->zipcode = $zipcode;
        return $this;
    }

    /**
     * @return string
     */
    public function getCity()
    {
        return $this->city;
    }

    /**
     * @param string $city
     * @return Relay
     */
    public function setCity($city)
    {
        $this->city = $city;
        return $this;
    }

    /**
     * @return string
     */
    public function getCountry()
    {
        return $this->country;
    }

    /**
     * @param string $country
     * @return Relay
     */
    public function setCountry($country)
    {
        $this->country = $country;
        return $this;
    }

    /**
     * @return string
     */
    public function getLatitude()
    {
        return $this->latitude;
    }

    /**
     * @param string $latitude
     * @return Relay
     */
    public function setLatitude($latitude)
    {
        $this->latitude = $latitude;
        return $this;
    }

    /**
     * @return string
     */
    public function getLongitude()
    {
        return $this->longitude;
    }

    /**
     * @param string $longitude
     * @return Relay
     */
    public function setLongitude($longitude)
    {
        $this->longitude = $longitude;
        return $this;
    }

    /**
     * @return array
     */
    public function getHoraires()
    {
        return $this->horaires;
    }

    /**
     * @param array $horaires
     * @return Relay
     */
    public function setHoraires($horaires)
    {
        $this->horaires = $horaires;
        return $this;
    }

    /**
     * @return int
     */
    public function getDistance()
    {
        return $this->distance;
    }

    /**
     * @param int $distance
     * @return Relay
     */
    public function setDistance($distance)
    {
        $this->distance = $distance;
        return $this;
    }

}
